### Function

# Gimp buffers_get_list

#### Declaration [src]

    gchar**
    gimp_buffers_get_list (
      const gchar* filter
    )

#### Description [src]

Retrieve a complete listing of the available buffers.

This procedure returns a complete listing of available named buffers.

Available since: | 2.4

#### Parameters

`filter` | `const gchar*`
| An optional regular expression used to filter the list.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | An array of `utf8`

         The list of buffer names.
         The returned value must be freed with g_strfreev().

| The array is `NULL`-terminated.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.